Package org.apache.cayenne.map.event

# Class AttributeEvent

java.lang.Object
java.util.EventObject
org.apache.cayenne.event.CayenneEvent
org.apache.cayenne.map.event.MapEvent
org.apache.cayenne.map.event.EntityEvent
org.apache.cayenne.map.event.AttributeEvent

All Implemented Interfaces:
  `Serializable`

public class AttributeEvent extends EntityEvent
Represents events resulted from Attribute changes in CayenneModeler. This event is used for both ObjAttributes and DbAttributes.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Attribute`
  `attribute`

  ### Fields inherited from class org.apache.cayenne.map.event.EntityEvent

  `entity`

  ### Fields inherited from class org.apache.cayenne.map.event.MapEvent

  `ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

  ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

  `info, postedBy, subject`

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeEvent(Object src, Attribute attr, Entity entity)`
  Creates a Attribute change event.
  `AttributeEvent(Object src, Attribute attr, Entity entity, int id)`
  Creates a Attribute event of a specified type.
  `AttributeEvent(Object src, Attribute attr, Entity entity, String oldName)`
  Creates a Attribute name change event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attribute`
  `getAttribute()`
  Get attribute (obj or db).
  `String`
  `getNewName()`
  Returns the newName of the object that caused this event.
  `void`
  `setAttribute(Attribute attribute)`
  Sets the attribute.

  ### Methods inherited from class org.apache.cayenne.map.event.EntityEvent

  `getEntity, setEntity`

  ### Methods inherited from class org.apache.cayenne.map.event.MapEvent

  `getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

  ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

  `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### attribute

    protected Attribute attribute

- ## Constructor Details

  - ### AttributeEvent

    public AttributeEvent(Object src, Attribute attr, Entity entity)
    Creates a Attribute change event.

  - ### AttributeEvent

    public AttributeEvent(Object src, Attribute attr, Entity entity, int id)
    Creates a Attribute event of a specified type.

  - ### AttributeEvent

    public AttributeEvent(Object src, Attribute attr, Entity entity, String oldName)
    Creates a Attribute name change event.

- ## Method Details

  - ### getAttribute

    public Attribute getAttribute()
    Get attribute (obj or db).

  - ### setAttribute

    public void setAttribute(Attribute attribute)
    Sets the attribute.
    Parameters:
      `attribute` - The attribute to set

  - ### getNewName

    public String getNewName()
    Description copied from class: `MapEvent`
    Returns the newName of the object that caused this event.
    Overrides:
      `getNewName` in class `EntityEvent`